Page MenuHomePhabricator

'-ignore' parameter throws exception in interwiki.py
Closed, ResolvedPublic

Description

pwb.py interwiki -lang:pt -family:wiktionary Categoria:Substantivo_(Português) -ignore:en:Category:xxxxx

`Traceback (most recent call last):

File "D:\Work\pywikipedia-core\pwb.py", line 239, in <module>
  if not main():
File "D:\Work\pywikipedia-core\pwb.py", line 233, in main
  run_python_file(filename, [filename] + args, argvu, file_package)
File "D:\Work\pywikipedia-core\pwb.py", line 111, in run_python_file
  main_mod.__dict__)
File ".\scripts\interwiki.py", line 2641, in <module>
  main()
File ".\scripts\interwiki.py", line 2485, in main
  if globalvar.readOptions(arg):
File ".\scripts\interwiki.py", line 587, in readOptions
  self.ignore += [pywikibot.Page(None, p) for p in arg[8:].split(",")]
File "D:\Work\pywikipedia-core\pywikibot\tools\__init__.py", line 1248, in wrapper
  return obj(*__args, **__kw)
File "D:\Work\pywikipedia-core\pywikibot\tools\__init__.py", line 1248, in wrapper
  return obj(*__args, **__kw)
File "D:\Work\pywikipedia-core\pywikibot\page.py", line 2007, in __init__
  super(Page, self).__init__(source, title, ns)
File "D:\Work\pywikipedia-core\pywikibot\page.py", line 142, in __init__
  % (type(source), source))

pywikibot.exceptions.Error: Invalid argument type '<type 'NoneType'>' in Page constructor: None
<class 'pywikibot.exceptions.Error'>
CRITICAL: Closing network session.
`

Details

Related Gerrit Patches:

Event Timeline

Malafaya created this task.Aug 12 2015, 3:42 PM
Malafaya raised the priority of this task from to Needs Triage.
Malafaya updated the task description. (Show Details)
Malafaya added a subscriber: Malafaya.
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptAug 12 2015, 3:42 PM
JAnD added a subscriber: JAnD.Aug 13 2015, 6:48 AM
jayvdb added a subscriber: jayvdb.

How important is this parameter? (please triage this task so the devs can work on the most important bugs)

Malafaya triaged this task as Medium priority.Aug 14 2015, 8:32 AM
Malafaya set Security to None.

Change 231506 had a related patch set uploaded (by Malafaya):
T108838 '-ignore' parameter throws exception in interwiki.py Change-Id: I2454d2a30efde7bd30a61fd9b2e85e6763f88daf

https://gerrit.wikimedia.org/r/231506

Change 231506 merged by jenkins-bot:
T108838 '-ignore' parameter throws exception in interwiki.py

https://gerrit.wikimedia.org/r/231506

Malafaya closed this task as Resolved.Aug 14 2015, 11:26 AM

Fixed.

Change 243108 had a related patch set uploaded (by John Vandenberg):
T108838 '-ignore' parameter throws exception in interwiki.py

https://gerrit.wikimedia.org/r/243108

Change 243108 had a related patch set uploaded (by John Vandenberg):
'-ignore' parameter throws exception in interwiki.py

https://gerrit.wikimedia.org/r/243108

Change 243108 merged by jenkins-bot:
'-ignore' parameter throws exception in interwiki.py

https://gerrit.wikimedia.org/r/243108